// ======================================================================
//
// StepAppear.h
// jeff grills
//
// copyright 1997 origin systems inc
//
// ======================================================================

#ifndef STEP_APPEAR_H
#define STEP_APPEAR_H

// ======================================================================

#include "MultiAppear.h"

// ======================================================================

class StepAppear : public MultiAppear
{
protected:

	mutable int currentFrame;

private:

	// disable the copy constructor and the assignment operator
	StepAppear(void);
	StepAppear(const StepAppear &);
	StepAppear &operator =(const StepAppear &);

public:

	StepAppear(const char *newName, Iff &iff, real newScale);
	
	virtual const Appear *getRenderAppear(Camera &camera, const Object *object) const;
	virtual void render(Camera &camera, const Xform &objectToWorld) const;

	bool isAnimationOver(void);
	void resetAnimation(void);
};

// ======================================================================

inline bool StepAppear::isAnimationOver(void)
{
	return (currentFrame >= maxFrame);
}

// ----------------------------------------------------------------------

inline void StepAppear::resetAnimation(void)
{
	currentFrame = 0;
}

// ======================================================================

#endif
